Name:           justniffer
Version:        0.5.11
Release:        2%{?dist}
Summary:        Intelligent packet sniffer geared for capturing TCP traffic. Useful for tracking network services performances


Group:         Applications/Internet 
License:       GPL2+
URL:           http://justniffer.sf.net/
Source0:       %{name}_%{version}.tar.gz 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libpcap-devel, boost-devel, glib2-devel, libnet-devel
Requires:      libpcap, boost, libicu

%description
justniffer captures TCP packets, reassembles and reorders them, performs 
IP packet defragmentation and displays the tcp flow in a customizable way. 
It is useful for logging network traffic in a 'standard' (web server like)
or in a customized way. It can log timings (e.g. response time), useful 
for tracking network services performances (e.g. web server, application server, etc.) . 

%prep
%setup -q -n %{name}-%{version}


%build

CFLAGS="`echo ${CFLAGS:-%optflags} | sed 's| -g ||g'`"
CXXFLAGS="`echo ${CFLAGS:-%optflags} | sed 's| -g ||g'`"
./configure --with-boost-libdir=%{_libdir} --prefix=%{_prefix}

make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/justniffer
%{_bindir}/justniffer-grab-http-traffic
/usr/share/justniffer
%{_mandir}/man8/justniffer.8*

%changelog
* Tue Feb 12 2013 josef radinger <cheese@nosuchhost.net> - 0.5.11-2
- fix boost on 64bit-archs

* Tue Feb 12 2013 josef radinger <cheese@nosuchhost.net> - 0.5.11-1
- bump version

* Wed Mar 11 2010 Vladimir Vuksan <vuksan-php@veus.hr> - 0.5.6
- Initial SPEC created
